{
  	imports = [
		./starship.nix
		./nix-index.nix
	];

  	programs.fish = {
   		enable = true;
    	interactiveShellInit = ''
			set fish_greeting
			cat ~/.cache/wal/sequences
		'';
		shellAliases = {
			".." = "cd ..";
			"..." = "cd ../..";
			"...." = "cd ../../../";
			"....." = "cd ../../../../";
		  
			"cp" = "cp -v";
			"ddf" = "df -h";
			"etc" = "erd -H";
			"mkdir" = "mkdir -p";
			"mv" = "mv -v";
			"rm" = "rm -v";
			"rr" = "rm -rf";

			"neofetch" = "fastfetch";
		};

		shellAbbrs = {
			gaa  = "git add -A";
			ga   = "git add";
			gbd  = "git branch --delete";
			gb   = "git branch";
			gc   = "git commit";
			gcm  = "git commit -m";
			gcob = "git checkout -b";
			gco  = "git checkout";
			gd   = "git diff";
			gl   = "git log";
			gp   = "git push";
			gs   = "git status";
		};
	  
		functions = {
			webcopy = ''
				function webcopy
					set -l domain (string trim $argv)
					wget --recursive \
						--level 5 \
						--no-clobber \
						--page-requisites \
						--adjust-extension \
						--span-hosts \
						--convert-links \
						--domains $domain \
						--no-parent \
						$domain
				end
		  	'';

		  	venv = ''
				function venv 
					source .venv/bin/activate.fish
				end
		  	'';

			thunderbird = ''
				if pgrep -x birdtray > /dev/null
        			birdtray -s
      			else
        			birdtray &
      			end
			'';
		};
	};
}
