{ pkgs, inputs, ... }:

let
  nerdfonts = (pkgs.nerdfonts.override {
    fonts = [
      "CascadiaCode"
      "JetBrainsMono"
      "FiraCode"
      "SpaceMono"	  
    ];
  });

  cursor-theme = "Bibata-Modern-Classic";
  cursor-pkg = pkgs.bibata-cursors;
in
{
	home = {
    	packages = with pkgs; [
      		material-symbols
      		noto-fonts
      		noto-fonts-cjk-sans
      		bibata-cursors
    	];
    	
		sessionVariables = {
      		XCURSOR_THEME = cursor-theme;
      		XCURSOR_SIZE = "24";
    	};
    	
		pointerCursor = {
      		package = cursor-pkg;
      		name = cursor-theme;
      		size = 24;
      		gtk.enable = true;
    	};
	};
}
